Skip to content

/purchases

Purchases

The Purchases API is intended for Manheim’s Buyer customers to retrieve the details about their purchases at Manheim auctions. This API provides the buyer side view of the transactions.

This document describes the contract and resources provided by the Purchases API. This API is RESTful and provides access to resources via URI paths (aka endpoints). To use the RESTful contract, your application will have to make HTTP GET requests to the desired endpoints. The response payload content type is application/json. The contract is intended for Manheim’s Buyer customers who wish to integrate their application/system with the Purchases API for their purchase related transactions.

URLs and Environments

The base URL for the Purchases API is /orders/purchases. This document describes each method endpoint starting with this base URL.

Actual requests will require the protocol and host URL for one of the Manheim environments:

  • QA: https://integration5.api.manheim.com
  • Pre-Production: https://uat.api.manheim.com
  • Production: https://api.manheim.com

See API Access and Environments for more information about Manheim API environments.


Authentication & Authorization

To use this API, you must have a Mashery API Package Key that is active with the inventory:customer scope assigned to it.
When requesting an access token for this API, use the client credentials grant type and the inventory:customer scope.

The request header must include the Authorization key with a value of Basic followed by your Base64 encoded Mashery key:secret pair. Note that you must Base64 encode your Mashery key:secret. For details of how to do this refer to Preparing the Authorization Header.

AttributeValue
AuthorizationBasic
Content-Typeapplication/x-www-form-urlencoded
grant_typeclient_credentials
scopeinventory:customer

Example cURL:

curl --location --request POST 'https://integration5.api.manheim.com/oauth2/token.oauth2' \
--header 'Authorization: Basic aDNod2dtNDQ0NWtqenB0XXXXXXXXXXXXX=' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'scope=inventory:customer'

For details on how to request a token and additional information on authentication and authorization, please refer to Authentication and Authorization.


Endpoints (HTTP GET Requests) are listed below :

1. Retrieve Manheim Buyer Customer’s purchases by Customer ID

Endpoint

GET /orders/purchases/customer/{ID}

Description

  • The {ID} placeholder in the URL should be replaced with the buyer customer’s auction access dealer number.

2. Retrieve Manheim Buyer Customer’s purchases by Customer ID, Auction and VIN

Endpoint

GET /orders/purchases/customer/{ID}/auction/{auctionCode}/vin/{VIN}

Description

  • The {ID} placeholder in the URL should be replaced with the buyer customer’s auction access dealer number.
  • The {auctionCode} placeholder should be replaced with the desired Manheim auction location code.
  • The {VIN} placeholder should be replaced with the vehicle's 17-digit vehicle identification number.

3. Retrieve Manheim Buyer Customer’s purchases by Customer ID, Auction and Sale Key

Endpoint

GET /orders/purchases/customer/{ID}?auction={auctionCode}&saleYear={saleYear}&saleNumber={saleNumber}&laneNumber={laneNumber}&runNumber={runNumber}

Description

  • The {ID} placeholder in the URL should be replaced with the buyer customer’s auction access dealer number.
  • The {auctionCode} placeholder should be replaced with the desired Manheim auction location code.
  • The {saleYear} placeholder should be replaced with the 4-digit sale year, e.g. 2020.
  • The {saleNumber} placeholder should be replaced with the 2-digit sale number, e.g. 11.
  • The {laneNumber} placeholder should be replaced with the 2-digit lane number, e.g. 45.
  • The {runNumber} placeholder should be replaced with the 4-digit run number, e.g. 0001.

4. Retrieve Manheim Buyer Customer’s purchases by purchase ID

Endpoint

GET /orders/purchases/id/{ID}

Description

  • The {ID} placeholder in the URL should be replaced with the purchase id of the transaction.

Common Return Codes

Response CodeDescriptionPossible Next Actions
200 OKThe request completed successfully; the response includes the transactions in JSON representationNo action necessary
400 Bad RequestERROR: Response is blank or message contains details about the parameter that is invalid or missingIf the response is blank, the request may be malformed or if there is a message, a parameter is missing or invalid; correct and resubmit
401 UnauthorizedERROR: Access denied due to incorrect credentials, malformed API token, or because user does not have accessValidate the token or contact us for API access
403 ForbiddenERROR: The server refused to authorize the request. The authentication credentials were provided in the request, but the server considers them insufficient to grant accessUser is authenticated, but doesn’t have sufficient privileges to access the requested resource
404 Not FoundERROR: The requested resource did not exist, or no data match found for the specified input parameters in the requestModify request and resubmit
500 Server ErrorERROR: An unexpected condition that prevented the requested transactions from being retrieved; the response may include details about the error's causeResponse may contain details about what went wrong

Request Parameters

  1. In order to retrieve purchases for a Manheim Buyer Customer by Customer ID:
GET /orders/purchases/customer/{ID}

The only required parameter is customer ID in this endpoint:

ParameterTypeRequirementDescription
customerStringRequiredCustomer’s auction access dealer number

For the above endpoint, the user may also use available OPTIONAL query parameters from the table below.

Optional Request Parameters

FieldTypeDescription
daysIntegerThe age of purchase transactions, expressed in days, which the API is to report (such as "7" to represent the past week); defaults to 30 if omitted and accepted values may be any positive numeric value between 1 and 396 (13 months)
startDateDateDate in ISO format(yyyy-MM-dd) from which the API should start pulling the purchases. Always works in conjunction with endDate. If not passed in the request, this filter doesn’t have a default value, hence wouldn’t get applied. Maximum window allowed is 396 days per API call
endDateDateDate in ISO format(yyyy-MM-dd) up to which the API should consider pulling the purchases. Always works in conjunction with startDate. If not passed in the request, this filter doesn’t have a default value, hence wouldn’t get applied. Maximum window allowed is 396 days per API call
auctionStringManheim auction facility at which a purchased vehicle was sold; defaults to all auctions if omitted
limitIntegerNumber of purchase records which may be returned in a single page; defaults to 25 if omitted and accepted values may be any positive numeric value between 1 and 500
startIntegerAllows the response to begin at a certain record number

NOTE:

  • For this endpoint, API calls would work either by days OR by startDate/endDate combination. Both of these combinations shouldn’t be applied together in a single request.

  • If not passed in the request, days default to the last 30 days from now. If you decide to use days parameter while calling this endpoint, it is recommended to keep days to a lower number (preferably 1 or 2) to avoid paging through a huge response.

  • If you decide to use startDate/endDate instead of days while calling this endpoint, note that startDate/endDate don’t have default values. You would need to pass both the dates in yyyy-MM-dd format satisfying the rules mentioned in the table above. Again, it is recommended to keep the window very small between startDate and endDate to avoid paging through a huge response.


Recommendations:

  • If you are planning to call the above endpoint, it is highly recommended to make the API call for as small window(time frame) as possible for optimal performance and optimal response time from the API.

  • The preferred approach is to make the API call for a single purchase transaction at a time using either of the endpoints below (as applicable):

    • Customer ID, auction code, and VIN

    • Customer ID, auction code, and Sale Key (combination of sale year, sale number, lane number and run number)

    • Purchase ID


2. In order to retrieve Manheim Buyer Customer’s purchases by Customer Id, Auction and VIN:
GET /orders/purchases/customer/{ID}/auction/{auctionCode}/vin/{VIN}

This method requires the customer ID, auction code, and VIN in the request URL.

ParameterTypeRequirementDescription
customerStringRequiredCustomer’s auction access dealer number
auctionStringRequiredManheim facilitating auction code
vinStringRequiredVehicle's 17-digit identification number

3. In order to retrieve Manheim Buyer Customer’s purchases by Customer Id, Auction and Sale Key:
GET /orders/purchases/customer/{ID}?auction={auctionCode}&saleYear={saleYear}&saleNumber={saleNumber}&laneNumber={laneNumber}&runNumber={runNumber}

This method requires the customer ID, auction code, and Sale Key (combination of sale year, sale number, lane number and run number) in the request URL.

ParameterTypeRequirementDescription
customerStringRequiredCustomer’s auction access dealer number
auctionStringRequiredManheim facilitating auction code
saleYearIntegerRequiredNumeric Sale Year, e.g. 2020
saleNumberIntegerRequiredNumeric Sale Number, e.g. 11
laneNumberIntegerRequiredNumeric Sale Lane number, e.g. 45
runNumberIntegerRequiredNumeric Sale Run number, e.g. 0001

4. In order to retrieve purchases for a Manheim Buyer Customer by Purchase ID:
GET /orders/purchases/id/{ID}

The only required parameter is purchase ID in this endpoint:

ParameterTypeRequirementDescription
idStringRequiredGuid for the Purchase transaction

Sample Requests

Here is an example of a valid API call :

GET /orders/purchases/customer/5000000

Note : There are no query parameters specified in this sample endpoint. As also described in the aforementioned table for optional query parameters, this request would pull :

  • max 25 transactions (default value for limit)
  • for the last 30 days (default search window if days OR startDate/endDate are missing in the request)
  • at all Manheim auctions (default value for auction)
  • including all applicable vehicles that are sold

More Examples

The following samples showcase the usage of several optional query parameters (as needed). The query parameters can be specified in any order.

Pull purchases for customer (5000000) for the last 1 day:

GET /orders/purchases/customer/5000000?days=1

Pull purchases for customer (5000000) between 15-Sep-21 to 16-Sep-21:

GET /orders/purchases/customer/5000000?startDate=2021-09-15&endDate=2021-09-16

Pull all purchases for customer (5000000) in the last 1 day at RAA auction:

GET  /orders/purchases/customer/5000000?days=1&auction=RAA

Pull transactions for customer (5000000) for a specific VIN at NVAA auction:

GET  /orders/purchases/customer/5000000/auction/NVAA/vin/2T3ZFREV4JW432117

Pull transactions for customer (5000000) at DALA auction for a specific sale key:

GET  /orders/purchases/customer/5000000?auction=DALA&saleYear=2021&saleNumber=37&laneNumber=47&runNumber=43

Pull purchases by purchase Id:

GET  /orders/purchases/id/83851E77297824A1E0532936680CC45Z


Response Details

If the request was successful and the response has purchases to be returned, information about the response data fields is described in the following tables. If the field is an array, items in the array may be repeated to reflect all of the data elements returned based on the request.

FieldTypeDescription
hrefStringUnique system-generated URL for this collection of purchases
limitIntegerNumber of purchase records which may be returned in a single page; default of 25
countIntegerNumber of purchases returned on the page as determined by the limit
nextStringURL for the next page of purchases whose size is determined by the limit if the number of records exceeds the limit
previousStringURL for the preceding page of purchases determined by the limit, if the preceding page exists
itemsArrayContains a block of purchase records; each record has the fields listed in the table below

Paging through the response

When returning a collection of resources, up to three additional properties might get included in the response object to facilitate pagination: first, previous and next. These are links that the API caller can follow to progress through the entire collection of results.

When rendering the first page of the results, first and previous links will not be included in the response.

Also as mentioned in the request parameters section, the limit parameter allows the caller to specify an arbitrary page size. The default limit is 25 and the maximum supported is 500.

For example:

GET  /orders/purchases/customer/5000000?days=1&limit=10

would return

{
    "href": "https://api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10",
    "next": "https://api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10&start=11",
    "limit": 10,
    "count": 10,
    "items": [
        ……
    ]
}

And invoking the "next" link above would return:

{
    "href": "https://api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10&start=11",
    "previous": "https://api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10&start=1",
    "next": "https://api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10&start=21",
    "limit": "10",
    "count": 10,
    "items": [
        ……
    ]
}

Items Section Details


consignment

As described above, items is an array of purchases for the buyer. Each item may contain consignment fields, as described in the table below. Values written in ALL CAPS indicate a defined list of accepted values.

FieldTypeDescription
hrefStringUnique system-generated URL for this purchase
purchaseDateDateDate of purchase of the vehicle
purchasePriceIntegerAmount for which the vehicle was purchased
currencyStringThe ISO code (e.g., "USD") for the money used in the purchase transaction
vehicleStatusStringReadiness of the vehicle for removal from Manheim’s auction lot:
  • Available - Ready for Pickup
  • Available - Arrange gate release
  • Left lot
  • Not Ready for Pickup
vehicleStatusTsDateDatetime when the vehicleStatus moved to the current state
checkOutDateDateDate when the vehicle was checked out
purchaseApplicationStringThe channel through which the vehicle was purchased
purchaseMethodStringThe Manheim system through which the vehicle was purchased
purchaseOfferExistsBooleanValue indicating whether an active purchase offer exists on this purchase:
  • true – active purchase offer exists
  • false – no active purchase offer exists
blockTimestampDateFor Simulcast and traditional auctions, the time when the vehicle crossed the block; for OVE, the time when the vehicle was purchased
consignmentObjectContainer of information describing the vehicle, physical location of the vehicle and the seller
consignment.unitObjectContainer of information describing the vehicle
consignment.unit.modelYearIntegerThe model year applicable to the vehicle
consignment.unit.makeStringThe manufacturer name applicable to the vehicle
consignment.unit.modelStringThe model name applicable to the vehicle
consignment.unit.vinStringThe industry-standard identification number assigned to the vehicle
consignment.unit.trimStringThe trim level of the vehicle
consignment.unit.bodyStringThe body type of the vehicle
consignment.unit.engineDescriptionStringThe type of engine in the vehicle
consignment.unit.interiorColorStringThe vehicle’s interior color
consignment.unit.exteriorColorStringThe vehicle’s exterior color
consignment.unit.odometerReadingIntegerThe amount measured on the vehicle’s odometer
consignment.unit.odometerUnitsStringThe unit of measurement for the vehicle’s odometer:
  • MILES
  • KILOMETERS
  • HOURS
consignment.unit.vehicleTypeStringThe general class to which the vehicle belongs
consignment.unit.drivableBooleantrue if the vehicle is drivable, false otherwise
consignment.unit.keyAvailableBooleantrue if the vehicle’s key is present; false otherwise
consignment.unit.gradeDecimalThe current condition grade assigned to the vehicle
consignment.unit.workOrderNumberIntegerThe Manheim identifier for a customer work request applicable to the vehicle
consignment.unit.sellerObjectContainer of information describing the seller details
consignment.unit.seller.dealerNameStringThe name of the customer who offered the vehicle for sale
consignment.unit.physicalLocationObjectContainer of information describing the physical location of the purchased vehicle
consignment.unit.physicalLocation.hrefStringSystem-generated URL that identifies the vehicle’s associated physical location resource and provides (with appropriate authorization) access to more details about the vehicle’s physical location
consignment.unit.physicalLocation.offsiteBooleantrue if the vehicle is located on Manheim premises; false otherwise
consignment.unit.physicalLocation.locationNameStringThe name assigned to the vehicle’s physical location
consignment.unit.physicalLocation.locationCodeStringThe Manheim code which uniquely identifies the physical location
consignment.unit.physicalLocation.addressObjectContainer of information describing the physical location’s address
consignment.unit.physicalLocation.address.address1StringThe physical location’s street address
consignment.unit.physicalLocation.address.address2StringAdditional street address line for the physical location
consignment.unit.physicalLocation.address.cityStringThe city of the physical location
consignment.unit.physicalLocation.address.stateProvinceRegionStringThe state or province of the physical location
consignment.unit.physicalLocation.address.countryStringThe state or province of the physical location
consignment.unit.physicalLocation.address.postalCodeIntegerThe postal code of the physical location
consignment.unit.physicalLocation.contactObjectContainer of information describing the physical location’s contact for true offsite vehicles only
consignment.unit.physicalLocation.contact.phoneStringPhone number of the true offsite physical location’s contact
consignment.unit.lotLocationObjectContainer of information describing the lot location of the purchased vehicle
consignment.unit.lotLocation.lotLocationCodeStringLot location code of the vehicle at the Manheim auction
consignment.unit.lotLocation.lotLocationDescriptionStringDescription of the lot location of the vehicle at the Manheim auction

offering

Each item will contain offering related fields, as described in the table below. Values written in ALL CAPS indicate a defined list of accepted values.

FieldTypeDescription
offeringObjectContainer of information describing about the vehicle offering and the operating location
offering.startDateDateThe date when the sale window applicable to the vehicle was opened
offering.endDateDateThe date when the sale window applicable to the vehicle was closed
offering.operatingLocationObjectContainer of information describing the operating location of the vehicle
offering.operatingLocation.hrefStringSystem-generated URL that identifies the vehicle’s associated operating location resource and provides (with appropriate authorization) access to more details about the vehicle’s operating location
offering.operatingLocation.locationNameStringThe name of the Manheim auction facilitating the vehicle’s sale
offering.operatingLocation.locationCodeStringThe identifier for the Manheim auction facilitating the vehicle’s sale
offering.saleKeyObjectContainer of information about the sale key of the purchased vehicle (if applicable), as described by the fields below
offering.saleKey.saleYearIntegerYear of sale of the vehicle
offering.saleKey.saleNumberIntegerNumber of the sale for the vehicle at a specific auction
offering.saleKey.laneNumberIntegerNumber of the lane in which the vehicle will appear at the auction
offering.saleKey.runNumberIntegerNumber of the run in which the vehicle will appear in a lane at the auction
offering.offeringApplicationStringThe Manheim system through which the vehicle is offered for sale
offering.offerMethodStringThe channel through which the vehicle is offered for sale
offering.registrationDateDateDate the vehicle was registered at the auction
offering.saleTypeStringThe sale category applicable to the vehicle
offering.bidRestrictionStringThe lowest bid the seller is willing to accept for the vehicle (for OVE only)
offering.offeringStatusStringThe vehicle’s sale status
offering.offeringStatusReasonStringAn explanation of the vehicle’s sale status
offering.asIsBooleanStatus indicating whether the vehicle is sold "as-is:"
  • true - vehicle is being sold "as-is" and is not eligible for arbitration
  • false - vehicle is not sold "as-is" and may be eligible for arbitration
offering.salvageBooleanStatus indicating whether a vehicle is designated as "salvage:"
  • true - vehicle has been designated as "salvage"
  • false - vehicle has not been designated as "salvage"
offering.disclosuresArrayContains an array of disclosure codes pertaining to the vehicle to describe the auction lights:
  • "GUARANTEE" for green light
  • "CAUTION"
  • "NO TITLE" for blue light

buyer

Each item will contain buyer related fields, as described in the table below. Values written in ALL CAPS indicate a defined list of accepted values.

FieldTypeDescription
buyerObjectContainer of information describing the buyer of the vehicle
buyer.dealerNumberIntegerDealer number of the buyer
buyer.dealerNameStringName of the buyer
buyer.bidderBadgeIntegerBidder badge number of the buyer
buyer.repObjectContainer of information about the representative of the buyer
buyer.rep.repNumberIntegerDealer number of the buyer
buyer.rep.repNameStringRep number of buyer representative

invoice

Each item will contain invoice related fields, as described in the table below.

FieldTypeDescription
invoiceObjectContains a block of information about the invoice details of the purchase
invoice.hrefStringHref to access information about the invoice details of the purchase

Error response

In the event of an error, appropriate HTTP status code will be returned. Whenever possible, an error response body will also be included accompanying the HTTP status code.

For Example:

GET  /orders/purchases/customer/5000000?startDate=2021-09-14

would return HTTP status code of “400 Bad Request”

accompanied with below error response body:

{
    "errors": [
        {
            "property": "endDate",
            "message": "startDate was entered but endDate is not present in the request",
            "developerMessage": "Please verify the input parameter - endDate"
        }
    ]
}

Where errors can contain multiple errors that were found in the request.

For Example:

GET  /orders/purchases/customer/5000000?startDate=2021-09-14&limit=600

would return HTTP status code of “400 Bad Request”

accompanied with below error response body:

{
    "errors": [
        {
            "property": "endDate",
            "message": "startDate was entered but endDate is not present in the request",
            "developerMessage": "Please verify the input parameter - endDate"
        },
        {
            "property": "limit",
            "message": "Invalid value for limit. Should be a positive number less than or equal to 500",
            "developerMessage": "Please verify the input parameter - limit"
        }
    ]
}



Example Request (Customer ID, Auction, VIN)

GET https://intgeration5.api.manheim.com/orders/purchases/customer/5000000/auction/SCAA/vin/1HGCR2F36GA055512

API Response

{
    "href": "https://intgeration5.api.manheim.com/orders/purchases/customer/5000000/auction/SCAA/vin/2JGCR2F36GA055512",
    "limit": "25",
    "count": 1,
    "items": [
        {
            "href": "https://intgeration5.api.manheim.com/orders/purchases/id/CC202B2F9E77DA0BE164B436680A45DC",
            "purchaseDate": "2021-09-16T13:27:40Z",
            "purchasePrice": 13500,
            "currency": "USD",
            "vehicleStatus": "Available - Arrange gate release",
            "vehicleStatusTs": "2021-09-16T17:28:09.498Z",
            "purchaseApplication": "Simulcast",
            "purchaseSubApplication": "In-Lane",
            "purchaseMethod": "Simulcast",
            "purchaseOfferExists": true,
            "blockTimestamp": "2021-09-16T13:27:40Z",
            "consignment": {
                "unit": {
                    "modelYear": 2016,
                    "make": "HONDA",
                    "model": "ACCOR LX",
                    "vin": "2JGCR2F36GA055512",
                    "trim": "LX",
                    "body": "4DSN",
                    "engineDescription": "4-cylinder Gas",
                    "transmission": "Automatic Transmission",
                    "interiorColor": "Tan",
                    "exteriorColor": "White",
                    "odometerReading": 87803,
                    "odometerUnits": "MILES",
                    "vehicleType": "Vehicle",
                    "physicalLocation": {
                        "href": "https://intgeration5.api.manheim.com/locations/id/RAA",
                        "offsite": true,
                        "locationName": "Manheim Riverside",
                        "locationCode": "RAA",
                        "address": {
                            "address1": "6446 Fremont St",
                            "city": "Riverside",
                            "stateProvinceRegion": "CA",
                            "country": "USA",
                            "postalCode": "92504-1437"
                        }
                    },
                    "lotLocation": {
                        "lotLocationCode": "988",
                        "lotLocationDescription": "VEND OUT-OFFSITE POSTCARD"
                    }
                },
                "workOrderNumber": 4154785,
                "seller": {
                    "dealerName": "JOHN AUTO LLC"
                }
            },
            "offering": {
                "startDate": "2021-09-16T12:43:35Z",
                "endDate": "2021-09-16T12:43:35Z",
                "operatingLocation": {
                    "href": "https://intgeration5.api.manheim.com/locations/id/SCAA",
                    "locationName": "Manheim Southern California",
                    "locationCode": "SCAA"
                },
                "saleKey": {
                    "saleYear": 2021,
                    "saleNumber": 37,
                    "laneNumber": 1,
                    "runNumber": 125
                },
                "offeringApplication": "Simulcast",
                "offerMethod": "AUCTION",
                "registrationDate": "2021-09-15T00:00:00Z",
                "saleType": "WHOLE",
                "bidRestriction": "Open",
                "offeringStatus": "Sold",
                "offeringStatusReason": "Offer Sold",
                "asIs": false,
                "salvage": false,
                "disclosures": [
                    "GUARANTEE",
                    "CAUTION"
                ]
            },
            "buyer": {
                "dealerNumber": "5000000",
                "dealerName": "JILL MOTORS INC",
                "bidderBadge": "1029",
                "rep": {
                    "repNumber": "100000000",
                    "repName": "JEFFERY STEWART"
                }
            },
            "invoice": {
                "href": "https://intgeration5.api.manheim.com/invoices/id/DD28C985629FBEAEE053B537791AC317"
            }
        }
    ]
}




Example Request (Customer ID with optional query parameters)

GET https://intgeration5.api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10

API Response

{
    "href": "https://integration5.api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10",
    "next": "https://integration5.api.manheim.com/orders/purchases/customer/5000000?days=1&limit=10&start=11",
    "limit": "10",
    "count": 10,
    "items": [
        {
            "href": "https://integration5.api.manheim.com/orders/purchases/id/CC20EBDBD0BEDC5CE053B436680A568E",
            "purchaseDate": "2021-09-16T14:58:11Z",
            "purchasePrice": 19500,
            "currency": "USD",
            "vehicleStatus": "Not Ready for Pickup",
            "vehicleStatusTs": "2021-09-16T20:22:32.032Z",
            "purchaseApplication": "Simulcast",
            "purchaseSubApplication": "In-Lane",
            "purchaseMethod": "Simulcast",
            "purchaseOfferExists": true,
            "blockTimestamp": "2021-09-16T13:15:40Z",
            "consignment": {
                "unit": {
                    "modelYear": 2014,
                    "make": "SUBARU",
                    "model": "BRZ LTD",
                    "vin": "K21ZCAC15E9715705",
                    "trim": "LIMITED",
                    "body": "2DCP",
                    "engineDescription": "4-cylinder Gas",
                    "transmission": "Automatic Transmission",
                    "interiorColor": "Blk",
                    "exteriorColor": "White",
                    "odometerReading": 73288,
                    "odometerUnits": "MILES",
                    "vehicleType": "Vehicle",
                    "drivable": true,
                    "grade": 4.1,
                    "physicalLocation": {
                        "href": "https://integration5.api.manheim.com/locations/id/RAA",
                        "offsite": false,
                        "locationName": "Manheim Riverside",
                        "locationCode": "RAA",
                        "address": {
                            "address1": "6446 Fremont St",
                            "city": "Riverside",
                            "stateProvinceRegion": "CA",
                            "country": "USA",
                            "postalCode": "92504-1437"
                        }
                    },
                    "lotLocation": {
                        "lotLocationCode": "950",
                        "lotLocationDescription": "OFFSITE CONDITION REPORT"
                    }
                },
                "workOrderNumber": 3288929,
                "seller": {
                    "dealerName": "JOHN AUTO LLC"
                }
            },
            "offering": {
                "startDate": "2021-09-16T13:15:36Z",
                "endDate": "2021-09-16T13:15:36Z",
                "operatingLocation": {
                    "href": "https://integration5.api.manheim.com/locations/id/RAA",
                    "locationName": "Manheim Riverside",
                    "locationCode": "RAA"
                },
                "saleKey": {
                    "saleYear": 2021,
                    "saleNumber": 37,
                    "laneNumber": 32,
                    "runNumber": 49
                },
                "offeringApplication": "Simulcast",
                "offerMethod": "AUCTION",
                "registrationDate": "2021-09-14T00:00:00Z",
                "saleType": "WHOLE",
                "bidRestriction": "Open",
                "offeringStatus": "Sold",
                "offeringStatusReason": "Offer Sold",
                "asIs": false,
                "salvage": false,
                "disclosures": [
                    "GUARANTEE"
                ]
            },
            "buyer": {
                "dealerNumber": "5000000",
                "dealerName": "JILL MOTORS INC",
                "bidderBadge": "339",
                "rep": {
                    "repNumber": "100000000",
                    "repName": "JEFFERY STEWART"
                }
            },
            "invoice": {
                "href": "https://integration5.api.manheim.com/invoices/id/CC17C98EEEB3BE9CE053B537791A8BDE"
            }
        },
        {
            "href": "https://integration5.api.manheim.com/orders/purchases/id/CC202B2F9E77DA0BE053B447790A34DC",
            "purchaseDate": "2021-09-16T13:27:40Z",
            "purchasePrice": 13500,
            "currency": "USD",
            "vehicleStatus": "Available - Arrange gate release",
            "vehicleStatusTs": "2021-09-16T17:28:09.498Z",
            "purchaseApplication": "Simulcast",
            "purchaseSubApplication": "In-Lane",
            "purchaseMethod": "Simulcast",
            "purchaseOfferExists": true,
            "blockTimestamp": "2021-09-16T13:27:40Z",
            "consignment": {
                "unit": {
                    "modelYear": 2016,
                    "make": "HONDA",
                    "model": "ACCOR LX",
                    "vin": "2JGCR2F36GA165512",
                    "trim": "LX",
                    "body": "4DSN",
                    "engineDescription": "4-cylinder Gas",
                    "transmission": "Automatic Transmission",
                    "interiorColor": "Tan",
                    "exteriorColor": "White",
                    "odometerReading": 87803,
                    "odometerUnits": "MILES",
                    "vehicleType": "Vehicle",
                    "physicalLocation": {
                        "href": "https://integration5.api.manheim.com/locations/id/RAA",
                        "offsite": true,
                        "locationName": "Manheim Riverside",
                        "locationCode": "RAA",
                        "address": {
                            "address1": "6446 Fremont St",
                            "city": "Riverside",
                            "stateProvinceRegion": "CA",
                            "country": "USA",
                            "postalCode": "92504-1437"
                        }
                    },
                    "lotLocation": {
                        "lotLocationCode": "988",
                        "lotLocationDescription": "VEND OUT-OFFSITE POSTCARD"
                    }
                },
                "workOrderNumber": 4154674,
	    …………………
	    …………………
	    …………………
	    …………………
        },
        {
            "href": "https://integration5.api.manheim.com/orders/purchases/id/CC20E33B62A667A3E053B437792A802C",
            "purchaseDate": "2021-09-16T13:25:48Z",
            "purchasePrice": 17800,
            "currency": "USD",
            "vehicleStatus": "Available - Arrange gate release",
	        …………………
	        …………………
	        …………………
	        …………………
        }    
    ]
}